Bug 113999 - iiimf-le-canna should require Canna-libs-<version>
Summary: iiimf-le-canna should require Canna-libs-<version>
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-21 05:33 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-20 17:49:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-01-21 05:33:16 UTC
Description of problem:
/usr/lib/im/leif/CannaLE.so dl's libcanna.so, but
iiimf-le-canna doesn't have a dependency on Canna.
Currently it is quite possible to install iiimf-le-canna
with the wrong version or no version of Canna installed.

Version-Release number of selected component (if applicable):
11_4-4

How reproducible:
everytime

Steps to Reproduce:
1. rpm -q --requires iiimf-le-canna-11_4-4 | grep canna
  
Actual results:
none

Expected results:
Canna = 3.7
libcanna.so.1.2

Additional info:
I recommend defining

  %define canna_ver 3.7

and then

  BuildRequires: Canna-devel = %{canna_ver}

and

  %package -n iiimf-le-canna
  Requires: Canna = %{canna_ver}

Comment 1 Yu Shao 2004-02-05 19:40:49 UTC
it is in 11.4-7.

Comment 2 Jens Petersen 2004-02-06 08:18:25 UTC
Thanks.

Comment 3 Jens Petersen 2004-02-18 12:15:51 UTC
Sorry, my mistake: it should be

  %package -n iiimf-le-canna
  Requires: Canna-libs = %{canna_ver}

not Canna = %{canna_ver}.

Comment 5 Yu Shao 2004-02-20 17:49:23 UTC
Making .so executable now as discussed with Jens, so we don't need
version requirement now. Fixed on im-sdk-11.4-14.


Note You need to log in before you can comment on or make changes to this bug.